{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-payment" data-toggle="tooltip" title="{{ button_save }}"
                        class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i
                            class="fa fa-reply"></i></a></div>
            <h1><i class="fa fa-credit-card"></i> {{ heading_title }}</h1>
            <ul class="breadcrumb">
                {% for breadcrumb in breadcrumbs %}
                    <li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        {% if error_warning %}
            <div class="alert alert-danger alert-dismissible"><i
                        class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error_warning %}
            <div class="alert alert-danger alert-dismissible"><i
                        class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        <div class="panel panel-default">
            <div class="panel-body sp-settings">
                <form action="{{ action }}" method="post" enctype="multipart/form-data" id="form-payment"
                      class="form-horizontal">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#tab_general" data-toggle="tab">{{ sp_tab_general }}</a></li>
                        <li><a href="#tab_transactions" data-toggle="tab">{{ sp_tab_transactions }}</a></li>
                        <li><a href="#tab_extended" data-toggle="tab">{{ sp_tab_extended }}</a></li>
                        <li><a href="#tab_qr" data-toggle="tab">{{ sp_tab_qr }}</a></li>
                        <li><a href="#tab_server" data-toggle="tab">{{ sp_tab_server }}</a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab_general">
                            <div class="form-group">
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label"
                                           for="sp_payment_status">{{ sp_payment_status }}</label>
                                    <div class="col-sm-10">
                                        <select name="payment_safepay_status" id="sp_payment_status"
                                                class="form-control">
                                            {% if (payment_safepay_status) %}
                                                <option value="1" selected="selected">{{ text_enabled }}</option>
                                                <option value="0">{{ text_disabled }}</option>
                                            {% else %}
                                                <option value="1">{{ text_enabled }}</option>
                                                <option value="0" selected="selected">{{ text_disabled }}</option>
                                            {% endif %}
                                        </select>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label"
                                           for="payment_safepay_geo">{{ sp_payment_geo }}</label>
                                    <div class="col-sm-10">
                                        <select name="payment_safepay_geo" id="payment_safepay_geo"
                                                class="form-control">
                                            <option value="0">{{ text_all_zones }}</option>
                                            {% for zone in geoZones %}
                                                {% if (zone['geo_zone_id'] == payment_safepay_geo) %}
                                                    <option value="{{ zone['geo_zone_id'] }}"
                                                            selected="selected">{{ zone['name'] }}</option>
                                                {% else %}
                                                    <option value="{{ zone['geo_zone_id'] }}">{{ zone['name'] }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <h4 class="col-sm-10">{{ sp_general_h2_key }}</h4>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_public_key">
                                        {{ sp_general_public_key }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_public_key"
                                               value="{% if payment_safepay_public_key is not empty %}{{ payment_safepay_public_key }}{% endif %}"
                                               placeholder="{{ sp_general_public_key }}" id="sp_public_key"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_private_key">
                                        {{ sp_general_private_key }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_private_key"
                                               value="{% if payment_safepay_private_key is not empty %}{{ payment_safepay_private_key }}{% endif %}"
                                               placeholder="{{ sp_general_private_key }}" id="sp_private_key"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_bild">
                                        {{ sp_general_bild }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_bild"
                                               value="{% if payment_safepay_bild is not empty %}{{ payment_safepay_bild }}{% endif %}"
                                               placeholder="{{ sp_general_bild }}" id="sp_bild"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <div class="col-sm-10">
                                        <input type="hidden" name="payment_safepay_last_t" id="sp_last_block_test"
                                               value="{% if payment_safepay_last_t is not empty %}{{ payment_safepay_last_t }}{% endif %}">
                                        <input type="hidden" name="payment_safepay_last_l" id="sp_last_block_live"
                                               value="{% if payment_safepay_last_l is not empty %}{{ payment_safepay_last_l }}{% endif %}">
                                        <input type="hidden" name="payment_safepay_cron_pay" id="sp_cron_pay"
                                               value="{% if payment_safepay_cron_pay is not empty %}{{ payment_safepay_cron_pay }}{% else %}{{ 'now'|date('U') }}{% endif %}">
                                        <input type="hidden" name="payment_safepay_cron_server" id="sp_cron_server"
                                               value="{% if payment_safepay_cron_server is not empty %}{{ payment_safepay_cron_server }}{% else %}{{ 'now'|date('U') }}{% endif %}">
                                        <div class='sp-settings__message'>{{ sp_general_message }}</div>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <div class="col-sm-10">
                                        <a href="#"
                                           class="sp-settings__button sp-settings__button--generate">{{ sp_general_generate }}</a>
                                        <a href="#"
                                           class="sp-settings__button sp-settings__button--download">{{ sp_general_download }}</a>
                                        <div class="sp-settings__loading"><img
                                                    src="/admin/view/image/payment/safepay/loading_mini.gif"
                                                    alt="Loading"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <h4 class="col-sm-10">{{ sp_general_h2_dop }}</h4>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label" for="sp_test">
                                    <span data-toggle="tooltip"
                                          title="{{ sp_general_test_desc }}">{{ sp_general_test }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        {% if (payment_safepay_test) %}
                                            <input type="checkbox" name="payment_safepay_test" value="on"
                                                   id="sp_test"
                                                   class="form-control" checked/>
                                        {% else %}
                                            <input type="checkbox" name="payment_safepay_test" value="on"
                                                   id="sp_test"
                                                   class="form-control"/>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_interval_server">
                                    <span data-toggle="tooltip"
                                          title="{{ sp_general_interval_server_desc }}">{{ sp_general_interval_server }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_interval_server"
                                               value="{% if payment_safepay_interval_server is not empty %}{{ payment_safepay_interval_server }}{% else %}{{ payment_safepay_interval_server_default }}{% endif %}"
                                               placeholder="{{ sp_general_interval_server }} ({{ sp_general_interval_min }})"
                                               id="sp_interval_server"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_interval_pay">
                                    <span data-toggle="tooltip"
                                          title="{{ sp_general_interval_pay_desc }}">{{ sp_general_interval_pay }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_interval_pay"
                                               value="{% if payment_safepay_interval_pay is not empty %}{{ payment_safepay_interval_pay }}{% else %}{{ payment_safepay_interval_pay_default }}{% endif %}"
                                               placeholder="{{ sp_general_interval_pay }} ({{ sp_general_interval_min }})"
                                               id="sp_interval_pay"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_interval_pay_expired">
                                    <span data-toggle="tooltip"
                                          title="{{ sp_general_interval_pay_expired_desc }}">{{ sp_general_interval_pay_expired }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_interval_pay_expired"
                                               value="{% if payment_safepay_interval_pay_expired is not empty %}{{ payment_safepay_interval_pay_expired }}{% else %}{{ payment_safepay_interval_pay_e_default }}{% endif %}"
                                               placeholder="{{ sp_general_interval_pay_expired }} ({{ sp_general_interval_hour }})"
                                               id="sp_interval_pay_expired"
                                               class="form-control"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="tab_transactions">
                            {% if (sp_all_invoice) %}
                                <table class="sp-table">
                                    <tr>
                                        <th>{{ sp_trans_id }}</th>
                                        <th>{{ sp_trans_date }}</th>
                                        <th>{{ sp_trans_status }}</th>
                                        <th>{{ sp_trans_sign }}</th>
                                        <th>{{ sp_trans_sum }}</th>
                                        <th>{{ sp_trans_more }}</th>
                                    </tr>
                                    {% for invoice in sp_all_invoice %}
                                        <tr>
                                            <td>{{ invoice['ID'] }}</td>
                                            <td>{{ invoice['DATE_CREATED'] }}</td>
                                            <td>
                                                <span class="sp-trans__status--{{ invoice['STATUS'] }}">{{ sp_invoice_status[invoice['STATUS']] }}</span>
                                            </td>
                                            <td>{{ invoice['BANK_ID'] }}</td>
                                            <td>{{ invoice['AMOUNT'] }} {{ invoice['CURRENCY']['alpha3'] }}</td>
                                            <td>
                                                <a href="/admin/index.php?route=sale/order/info&user_token={{ token }}&order_id={{ invoice['PAY_NUM'] }}">{{ sp_trans_order }}
                                                    #{{ invoice['PAY_NUM'] }}</a></td>
                                        </tr>
                                    {% endfor %}
                                </table>
                                <a href="/admin/index.php?route=extension/payment/safepay/update_transactions&user_token={{ token }}"
                                   class="sp-settings__button sp-settings__button--update">{{ sp_status_update }}</a>
                            {% else %}
                                <p>{{ sp_trans_no }}</p>
                            {% endif %}
                        </div>
                        <div class="tab-pane" id="tab_extended">
                            <div class="form-group row">
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <h4 class="col-sm-10">{{ sp_extend_h2_template }}</h4>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_extended_temp_title">
                                        {{ sp_extend_temp_title }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_temp_title"
                                               value="{% if payment_safepay_temp_title is not empty %}{{ payment_safepay_temp_title }}{% else %}{{ payment_safepay_temp_title_default }}{% endif %}"
                                               placeholder="{{ sp_extend_temp_title }}" id="sp_extended_temp_title"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_extended_temp_desc">
                                        {{ sp_extend_temp_desc }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_temp_desc"
                                               value="{% if payment_safepay_temp_desc is not empty %}{{ payment_safepay_temp_desc }}{% else %}{{ payment_safepay_temp_desc_default }}{% endif %}"
                                               placeholder="{{ sp_extend_temp_desc }}" id="sp_extended_temp_desc"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label" for="sp_extended_temp_desc">
                                        {{ sp_extend_temp_param }}
                                    </label>
                                    <div class="col-sm-10 sp-extend__param">
                                        <p><code>%order_id%</code> - {{ sp_extend_temp_param_id }}</p>
                                        <p><code>%order_date%</code> - {{ sp_extend_temp_param_date }}</p>
                                        <p><code>%order_sum%</code> - {{ sp_extend_temp_param_sum }}</p>
                                        <p><code>%site_url%</code> - {{ sp_extend_temp_param_site }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="tab_qr">
                            <div class="form-group">
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label"
                                           for="sp_payment_qr_status">{{ sp_payment_status }}</label>
                                    <div class="col-sm-10">
                                        <select name="payment_safepay_qr_status" id="sp_payment_qr_status"
                                                class="form-control">
                                            {% if (payment_safepay_qr_status) %}
                                                <option value="1" selected="selected">{{ text_enabled }}</option>
                                                <option value="0">{{ text_disabled }}</option>
                                            {% else %}
                                                <option value="1">{{ text_enabled }}</option>
                                                <option value="0" selected="selected">{{ text_disabled }}</option>
                                            {% endif %}
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="sp_margin">
                                    <div class="col-sm-2"></div><!--empty-->
                                    <h4 class="col-sm-10">{{ sp_qr_h2_template }}</h4>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_qr_name">
                                        {{ sp_qr_name }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_qr_name"
                                               value="{% if payment_safepay_qr_name is not empty %}{{ payment_safepay_qr_name }}{% endif %}"
                                               placeholder="{{ sp_qr_name_place }}" id="sp_qr_name"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin required">
                                    <label class="col-sm-2 control-label" for="sp_qr_number">
                                        {{ sp_qr_number }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_qr_number"
                                               value="{% if payment_safepay_qr_number is not empty %}{{ payment_safepay_qr_number }}{% endif %}"
                                               placeholder="{{ sp_qr_number_place }}" id="sp_qr_number"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label" for="sp_qr_inn">
                                        {{ sp_qr_inn }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_qr_inn"
                                               value="{% if payment_safepay_qr_inn is not empty %}{{ payment_safepay_qr_inn }}{% endif %}"
                                               placeholder="{{ sp_qr_inn_place }}" id="sp_qr_inn"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label" for="sp_qr_title">
                                        {{ sp_qr_title }}
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_safepay_qr_title"
                                               value="{% if payment_safepay_qr_title is not empty %}{{ payment_safepay_qr_title }}{% else %}{{ payment_safepay_qr_title_default }}{% endif %}"
                                               placeholder="{{ sp_qr_title_place }}" id="sp_qr_title"
                                               class="form-control" maxlength="210"/>
                                    </div>
                                </div>
                                <div class="sp_margin">
                                    <label class="col-sm-2 control-label">
                                        {{ sp_extend_temp_param }}
                                    </label>
                                    <div class="col-sm-10 sp-extend__param">
                                        <p><code>%order_id%</code> - {{ sp_extend_temp_param_id }}</p>
                                        <p><code>%order_date%</code> - {{ sp_extend_temp_param_date }}</p>
                                        <p><code>%order_sum%</code> - {{ sp_extend_temp_param_sum }}</p>
                                        <p><code>%site_url%</code> - {{ sp_extend_temp_param_site }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="tab_server">
                            {% if (sp_all_server) %}
                                <table class="sp-table">
                                    <tr class="sp-table__row">
                                        <th>{{ sp_server_id }}</th>
                                        <th>{{ sp_server_url }}</th>
                                        <th>{{ sp_server_type }}</th>
                                        <th>{{ sp_server_time }}</th>
                                        <th>{{ sp_server_action }}</th>
                                    </tr>
                                    {% for server in sp_all_server %}
                                        <tr class="sp-table__row" id="sp-table-server-{{ server.ID }}">
                                            <td>{{ server.ID }}</td>
                                            <td>{{ server.URL_SERVER }}</td>
                                            <td>{{ server.TYPE_SERVER }}</td>
                                            <td>{{ (server.TIME_UPDATE//1000)|date("d.m.Y H:i") }}</td>
                                            <td>
                                                <a href="#" class="sp-server__action--del"
                                                   data-server_id="{{ server.ID }}">{{ sp_server_del }}</a>
                                            </td>
                                        </tr>
                                    {% endfor %}

                                    <tr class="sp-table__row sp-table__row--form">
                                        <td></td>
                                        <td>
                                            <input type="text" id="URL_SERVER"
                                                   placeholder="{{ sp_server_url_desc }}">
                                        </td>
                                        <td>
                                            <input type="text" id="TYPE_SERVER"
                                                   placeholder="{{ sp_server_type_desc }}">
                                        </td>
                                        <td>
                                            <input type="text" disabled="" placeholder="{{ sp_server_time_desc }}">
                                        </td>
                                        <td>
                                            <a href="#"
                                               class="sp-settings__button sp-server__action--add">{{ sp_server_add }}</a>
                                        </td>
                                    </tr>
                                </table>
                                <div class="sp-table__result"></div>
                            {% else %}
                                <p>{{ sp_server_no }}</p>
                            {% endif %}
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<link rel="stylesheet" type="text/css" href="{{ link_css }}">
<script type="text/javascript" src="{{ link_js_base58 }}"></script>
<script type="text/javascript" src="{{ link_js_sha256 }}"></script>
<script type="text/javascript" src="{{ link_js_ripemd160 }}"></script>
<script type="text/javascript" src="{{ link_js_eralib }}"></script>
<script type="text/javascript">
    {{ code_js }}
</script>
{{ footer }}